{% extends 'id/id_base.html' %}
{% load static %}

{% block content %}
<section>
    <div class="bg-blue">
        <img class="jumbotron-cover" src="{% static 'images/common/jumbotron.png' %}" alt="" />
    </div>
    <div class="spacer bg-blue scroll-up">
        <h2 class="h2 fw-100 c-white text-center mb-3">
            Artikel
        </h2>
        {% if tag %}
        <h3 class="h3 fw-100 c-white text-center">{{ tag }}</h3>
        {% endif %}
    </div>
</section>
<section>
    <div class="container">
        <div class="row justify-content-start my-5 gy-5">
            {% for article in paginator_object %}
            <div class="col-sm-12 col-lg-3">
                <a href="{% url 'frontend:article' article.pk %}" class="no-link c-black">
                    <div class="card article-card">
                        {% if article.image %}
                        <img src="{{ article.image.url }}" alt="article-{{ forloop.counter }}" class="card-img-top" />
                        {% else %}
                        <img src="{% static 'images/common/bg-whale.png' %}" alt="article-{{ forloop.counter }}"
                            class="card-img-top" />
                        {% endif %}
                        <div class="pt-2">
                            <span class="small">
                                <i class="bi bi-clock"></i> {{ article.created_at|date:'d M Y' }}
                            </span>
                            <h5 class="article-title mt-2">
                                {{ article.id_title }}
                            </h5>
                        </div>
                    </div>
                </a>
            </div>
            {% endfor %}
            {% if paginator_object.has_other_pages %}
            <nav aria-label="pagination">
                <ul class="pagination justify-content-center">
                    {% if paginator_object.has_previous %}
                    <li class="page-item">
                        <a class="page-link" href="?&page={{ paginator_object.previous_page_number }}">
                            &laquo;
                        </a>
                    </li>
                    {% else %}
                    <li class="page-item disabled">
                        <span class="page-link">&laquo;</span>
                    </li>
                    {% endif %}
                    {% for p in paginator_object.paginator.page_range %}
                    {% if paginator_object.number == p %}
                    <li class="page-item active">
                        <span class="page-link">{{ p }}</span>
                    </li>
                    {% else %}
                    <li class="page-item">
                        <a href="?&page={{ p }}" class="page-link">
                            {{ p }}
                        </a>
                    </li>
                    {% endif %}
                    {% endfor %}
                    {% if paginator_object.has_next %}
                    <li class="page-item">
                        <a href="?&page={{ paginator_object.next_page_number }}" class="page-link">
                            &raquo;
                        </a>
                    </li>
                    {% else %}
                    <li class="page-item disabled">
                        <span class="page-link">&raquo;</span>
                    </li>
                    {% endif %}
                </ul>
            </nav>
            {% endif %}
        </div>
</section>
{% endblock %}